libpar-packer-perl_1.012-1_amd64.deb


Advertisement

Description

libpar-packer-perl - utility for creating PAR archives and stand-alone executables

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: libpar-packer-perl
Package version: 1.012
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 4.16 KB
Download size: 1.82 MB
Official Mirror: ftp.br.debian.org
PAR (Perl Archiving Toolkit) is a Cross-Platform Packaging and Deployment tool, dubbed as a cross between Java's JAR and Perl2EXE/PerlApp. This package contains the modules and tools necessary for creating PAR archives and stand-alone executables.

Alternatives

    Download

    Source package: libpar-packer-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpar-packer-perl deb package:
      # sudo apt-get install libpar-packer-perl

    Files

    • /usr/bin/par-archive
    • /usr/bin/parl
    • /usr/bin/parldyn
    • /usr/bin/pp
    • /usr/bin/tkpp
    • /usr/lib/perl5/PAR/StrippedPARL/Dynamic.pm
    • /usr/lib/perl5/PAR/StrippedPARL/Static.pm
    • /usr/share/doc/libpar-packer-perl/README
    • /usr/share/doc/libpar-packer-perl/TODO
    • /usr/share/doc/libpar-packer-perl/changelog.Debian.gz
    • /usr/share/doc/libpar-packer-perl/changelog.gz
    • /usr/share/doc/libpar-packer-perl/copyright
    • /usr/share/doc/libpar-packer-perl/where_is_it.txt.gz
    • /usr/share/doc/libpar-packer-perl/who_am_i.txt.gz
    • /usr/share/lintian/overrides/libpar-packer-perl
    • /usr/share/man/man1/par-archive.1p.gz
    • /usr/share/man/man1/parl.1p.gz
    • /usr/share/man/man1/parldyn.1p.gz
    • /usr/share/man/man1/pp.1p.gz
    • /usr/share/man/man1/tkpp.1p.gz
    • /usr/share/man/man3/App::Packer::PAR.3pm.gz
    • /usr/share/man/man3/PAR::Filter.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Bleach.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Bytecode.3pm.gz
    • /usr/share/man/man3/PAR::Filter::Obfuscate.3pm.gz
    • /usr/share/man/man3/PAR::Filter::PatchContent.3pm.gz
    • /usr/share/man/man3/PAR::Filter::PodStrip.3pm.gz
    • /usr/share/man/man3/PAR::Packer.3pm.gz
    • /usr/share/man/man3/PAR::StrippedPARL::Base.3pm.gz
    • /usr/share/man/man3/pp.3pm.gz
    • /usr/share/perl5/pp.pm
    • /usr/share/perl5/App/Packer/PAR.pm
    • /usr/share/perl5/PAR/Filter.pm
    • /usr/share/perl5/PAR/Packer.pm
    • /usr/share/perl5/PAR/Filter/Bleach.pm
    • /usr/share/perl5/PAR/Filter/Bytecode.pm
    • /usr/share/perl5/PAR/Filter/Obfuscate.pm
    • /usr/share/perl5/PAR/Filter/PatchContent.pm
    • /usr/share/perl5/PAR/Filter/PodStrip.pm
    • /usr/share/perl5/PAR/StrippedPARL/Base.pm

    Changelog

    2011-12-04 - Salvatore Bonaccorso <carnil@debian.org> libpar-packer-perl (1.012-1) unstable; urgency=low * Team upload. * Imported Upstream version 1.012 - Fixes CVE-2011-4114: PAR packed files are extracted to unsafe and predictable temporary directories. (Closes: #650706). * Refresh debian/copyright file. Update copyright years for included inc/Module/* Drop stanzas for inc/ included modules which are not anymore provided in source archive. * Update dependency on libmodule-scandeps-perl. Update versioned (Build-)Depends on libmodule-scandeps-perl to (>= 1.05). * Update dependency on libpar-perl. Update versioned (Build-)Depends on libpar-perl to (>= 1.005). * Refresh 01_manpage-ext.patch patch (offsets) * Refresh fix-with-new-par-name patch (offsets)

    2011-08-30 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.010-1) unstable; urgency=low [ gregor herrmann ] * New upstream release 1.009. * Remove patch fix-pod-spelling.patch, applied upstream; refresh patch 01_manpage-ext.patch, applied with an offset. * Bump debhelper compatibility level to 8. * Set Standards-Version to 3.9.2 (no changes). * Bump version of libmodule-scandeps-perl (build) dependency. * Add more files to debian/clean that are left out by the upstream clean target. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * New upstream release 1.010. * New (build) dependency: IO::Compress::Gzip. * Refresh patches (offset). * debian/rules: re-create otherwise empty parl.1p manpage.

    2010-12-25 - Jonathan Yu <jawnsy@cpan.org> libpar-packer-perl (1.008-1) unstable; urgency=low * New upstream release * Standards-Version 3.9.1 (no changes) * Fix licensing for myldr/env.c (BSD license) * Refresh copyright information

    2010-06-28 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.006-1) unstable; urgency=low * New upstream release. * Set Standards-Version to 3.9.0 (no changes). * debian/copyright: remove info about now removed inc/IPC/Run3.pm file. * Refresh 01_manpage-ext.patch.

    2010-06-22 - gregor herrmann <gregoa@debian.org> libpar-packer-perl (1.005-1) unstable; urgency=low * New upstream release. * Refresh patches applying with an offset. * debian/copyright: update formatting; update info about third-party files (added and removed ones). * debian/control: add libio-compress-perl as yet another alternative for Compress::Zlib.

    2010-04-13 - Chris Butler <chrisb@debian.org> libpar-packer-perl (1.003-1) unstable; urgency=low * New upstream release * Switch to source format 3.0 (quilt), removed quilt framework. * Updated years of upstream copyright. * Added myself to Uploaders and copyright. * Refreshed 01_manpage-ext.patch. Removed Fix-t-30-current_exec.t-failing-when-cwd-contains-re.patch. (applied upstream) * Increased build-deps on libpar-perl and libmodule-scandeps-perl to match required versions listed in Makefile.PL

    2010-04-10 - Damyan Ivanov <dmn@debian.org> libpar-packer-perl (1.002-2) unstable; urgency=low * apply patch from Niko Tyni fixing tests when build directory contains regular expression metacharacters. Closes: #577121 * Standards-Version: 3.8.4 (no changes needed)

    2010-01-04 - Jonathan Yu <jawnsy@cpan.org> libpar-packer-perl (1.002-1) unstable; urgency=low * New upstream release * Remove fix-undefined-sprintf-usage patch as it no longer applies and looks like it's been fixed upstream * Add a patch to correct POD spelling

    Advertisement
    Advertisement